"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Protocol;
(function (Protocol) {
    class ServerInstallationImpl {
        constructor() {
            this.location = '';
            this.name = '';
            this.version = '';
        }
    }
    Protocol.ServerInstallationImpl = ServerInstallationImpl;
    class ServerConfigImpl {
        constructor() {
            this.id = '';
            this.processId = '';
            this.installation = { location: '', name: '', version: '' };
            this.attributes = [];
            this.status = { message: '', ok: true, state: 0 };
        }
    }
    Protocol.ServerConfigImpl = ServerConfigImpl;
    let ServerState;
    (function (ServerState) {
        ServerState.UNKNOWN = 0;
        ServerState.STARTING = 1;
        ServerState.STARTED = 2;
        ServerState.RUNNING = 3;
        ServerState.STOPPING = 4;
        ServerState.STOPPED = 5;
        ServerState.ANALYZING = 6;
    })(ServerState = Protocol.ServerState || (Protocol.ServerState = {}));
})(Protocol = exports.Protocol || (exports.Protocol = {}));
//# sourceMappingURL=protocol.js.map